Documentation Index
Fetch the complete documentation index at: https://developers.leadwaycrm.com/llms.txt
Use this file to discover all available pages before exploring further.
The “Create Shipping Carrier” API allows adding a new shipping carrier.
POST https://services.leadconnectorhq.com/store/shipping-carrier
Autorizacion
Bearer token generado desde el portal Leadway. Ver Autenticacion.
Version
string
default:"2021-07-28"
required
Version de la API.
Body
altId
string
default:"6578278e879ad2646715ba9c"
required
Account Id or Agency Id
Posibles valores: ‘account’
name
string
default:"FedEx"
required
Name of the shipping carrier
callbackUrl
string
default:"https://example.com/get-shipping-rates"
required
The URL endpoint that GHL needs to retrieve shipping rates. This must be a public URL.
An array of available shipping carrier services
name
string
default:"Priority Mail Express International"
required
Name of the shipping carrier service
value
string
default:"PriorityMailExpressInternational"
required
Value of the shipping carrier service
allowsMultipleServiceSelection
The seller can choose multiple services while creating shipping rates if this is true.
Respuestas
201 - Successful response
status
boolean
default:"True"
required
Status of api action
message
string
default:"Successfully created"
Success message
{
"status": true,
"message": "Successfully created"
}
422 - Unprocessable Entity
Ejemplo
curl -X POST 'https://services.leadconnectorhq.com/store/shipping-carrier' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28' \
-H 'Content-Type: application/json' \
-d '{
"altId": "6578278e879ad2646715ba9c",
"altType": "account",
"name": "FedEx",
"callbackUrl": "https://example.com/get-shipping-rates",
"services": [
{
"name": "Priority Mail Express International",
"value": "PriorityMailExpressInternational"
}
],
"allowsMultipleServiceSelection": true
}'